package com.cit.sellfan.ui.pannelli;

import com.cit.sellfan.business.VariabiliGlobali;
import com.vaadin.ui.Panel;
import com.xdev.ui.XdevAbsoluteLayout;
import com.xdev.ui.XdevPasswordField;

public class pannelloPasswordXUsiSpeciali extends Panel {
	private VariabiliGlobali l_VG;

	/**
	 * 
	 */
	public pannelloPasswordXUsiSpeciali() {
		super();
		this.initUI();
	}
	
	public void setVariabiliGlobali(final VariabiliGlobali variabiliGlobali) {
		this.l_VG = variabiliGlobali;
	}
	
	public boolean isPasswordOK() {
		if (this.passwordField.getValue().equals(this.l_VG.Paths.passwordSystem)) {
			return true;
		}
		return false;
	}

	/*
	 * WARNING: Do NOT edit!<br>The content of this method is always regenerated by
	 * the UI designer.
	 */
	// <generated-code name="initUI">
	private void initUI() {
		this.absoluteLayout2 = new XdevAbsoluteLayout();
		this.passwordField = new XdevPasswordField();
	
		this.absoluteLayout2.setResponsive(true);
		this.passwordField.setCaption("Password");
	
		this.passwordField.setWidth(150, Unit.PIXELS);
		this.absoluteLayout2.addComponent(this.passwordField, "left:75px; top:60px");
		this.absoluteLayout2.setWidth(300, Unit.PIXELS);
		this.absoluteLayout2.setHeight(130, Unit.PIXELS);
		this.setContent(this.absoluteLayout2);
		this.setSizeFull();
	} // </generated-code>

	// <generated-code name="variables">
	private XdevAbsoluteLayout absoluteLayout2;
	private XdevPasswordField passwordField;
	// </generated-code>

}
